L3 Agent Failed sending gratuitous ARP

Bug #1153066 reported by Samuel Hassine on 2013-03-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
quantum (Ubuntu)
High
James Page
Raring
High
James Page

Bug Description

Hi there,

With the last Quantum version in the Grizzly Repositories, the Quantum L3 agent is not able use the command arping due to bad parameters.

Here the log:

Stderr: '' execute /usr/lib/python2.7/dist-packages/quantum/agent/linux/utils.py:59
2013-03-09 22:58:26.806 642 DEBUG quantum.agent.linux.utils [-] Running command: ['sudo', 'quantum-rootwrap', '/etc/quantum/rootwrap.conf', 'ip', 'netns', 'exec', 'qrouter-7dd89763-6181-442a-9e27-aa863e90fac2', 'arping', '-A', '-U', '-I', 'qg-350a70f5-4f', '-c', '3', '178.32.65.66'] execute /usr/lib/python2.7/dist-packages/quantum/agent/linux/utils.py:42
2013-03-09 22:58:26.930 642 DEBUG quantum.agent.linux.utils [-]
Command: ['sudo', 'quantum-rootwrap', '/etc/quantum/rootwrap.conf', 'ip', 'netns', 'exec', 'qrouter-7dd89763-6181-442a-9e27-aa863e90fac2', 'arping', '-A', '-U', '-I', 'qg-350a70f5-4f', '-c', '3', '178.32.65.66']
Exit code: 1
Stdout: 'ARPing 2.11, by Thomas Habets <email address hidden>\nusage: arping [ -0aAbdDeFpqrRuv ] [ -w <us> ] [ -S <host/ip> ]\n [ -T <host/ip ] [ -s <MAC> ] [ -t <MAC> ] [ -c <count> ]\n [ -i <interface> ] <host/ip/MAC | -B>\nFor complete usage info, use --help or check the manpage.\n'
Stderr: "arping: invalid option -- 'U'\n" execute /usr/lib/python2.7/dist-packages/quantum/agent/linux/utils.py:59
2013-03-09 22:58:26.931 642 ERROR quantum.agent.l3_agent [-] Failed sending gratuitous ARP:
Command: ['sudo', 'quantum-rootwrap', '/etc/quantum/rootwrap.conf', 'ip', 'netns', 'exec', 'qrouter-7dd89763-6181-442a-9e27-aa863e90fac2', 'arping', '-A', '-U', '-I', 'qg-350a70f5-4f', '-c', '3', '178.32.65.66']
Exit code: 1
Stdout: 'ARPing 2.11, by Thomas Habets <email address hidden>\nusage: arping [ -0aAbdDeFpqrRuv ] [ -w <us> ] [ -S <host/ip> ]\n [ -T <host/ip ] [ -s <MAC> ] [ -t <MAC> ] [ -c <count> ]\n [ -i <interface> ] <host/ip/MAC | -B>\nFor complete usage info, use --help or check the manpage.\n'
Stderr: "arping: invalid option -- 'U'\n"

Versions:

- Ubuntu Raring 13.04

root@as-002:~# dpkg -l |grep quantum-l3
ii quantum-l3-agent 1:2013.1+git201303090401~raring-0ubuntu1 all Quantum is a virtual network service for Openstack - l3 agent
root@as-002:~# dpkg -l |grep arping
ii arping 2.11-1 amd64 sends IP and/or ARP pings (to the MAC address)

Regards.
Sam

summary: - Failed sending gratuitous ARP
+ L3 Agent Failed sending gratuitous ARP
dan wendlandt (danwent) wrote :

I wonder if arping deprecated -U ? it exists in precise.

seems important enough to target as high for RC1

Changed in quantum:
milestone: none → grizzly-rc1
importance: Undecided → High
tags: added: l3-ipam-dhcp
Gary Kotton (garyk) wrote :

Hi,
Can you please check that you are using the iputils-arping package.
Thanks
Gary

Changed in quantum:
status: New → Incomplete
Eugene Nikanorov (enikanorov) wrote :

Hi, the command used in bug description is not from iputils, it's different package "arping"

I have installed iputils-arping from raring, and it supports the -U option.
As stated by Eugene, the utility in the bug is from a different package.

Could this be a dependency problem?

Hi there,

Yes it is! Sorry for missunderstanding. It is working with the other package (iputils).

Still remains a dependency problem (iputils-arping was not installed with quantum L3 agent).

Regards.
Sam

James Page (james-page) wrote :

Picking this up as a distro issue :-)

dan wendlandt (danwent) on 2013-03-11
Changed in quantum:
milestone: grizzly-rc1 → none
no longer affects: quantum
James Page (james-page) wrote :

A fix should appear in the trunk testing repo in the next hour or so.

Changed in quantum (Ubuntu Raring):
assignee: nobody → James Page (james-page)
importance: Undecided → High
status: New → Triaged
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package quantum - 1:2013.1~rc1-0ubuntu1

---------------
quantum (1:2013.1~rc1-0ubuntu1) raring; urgency=low

  [ Chuck Short ]
  * debian/patches/fix-quantum-configuration.patch: Refreshed
  * debian/control: Add python-testtools and python-fixtures a build-dep.
  * debian/control: Drop python-gflags no longer needed.
  * debian/control: Drop python-unittest2 no longer needed.

  [ James Page ]
  * New upstream release candidate.
  * d/watch: Update uversionmangle to deal with upstream versioning
    changes, remove tarballs.openstack.org.
  * d/rules: Disable PEP-8 tests until fixed upstream.
  * d/control,quantum-plugin-midonet.install: Added plugin package for
    Midonet.
  * d/control,quantum-lbaas-*: Added Load Balancing as-a Service agent
    package.
  * d/control: Bumped Standards-Version, no changes.
  * d/p/fix-quantum-configuration.patch: Added midonet sqlite path to
    patch, fixed up linuxbridge path.
  * d/p/fix-ubuntu-tests.patch: Re-added skipTest for linuxbridge tests
    that attempt to setup udev monitors.
  * d/quantum-metadata-agent.*: Refactor metadata-agent into separate
    package and add Depends from quantum-l3-agent and quantum-dhcp-agent.
  * d/quantum-plugin-nicira.install: Add quantum-check-nvp-config binary.
  * d/control: Add iputils-arping to quantum-l3-agent Depends (LP: #1153066).
  * d/control: python-oslo-config -> python-oslo.config.
  * d/control: Bump python-quantumclient >= 1:2.2.0 inline with upstream.
 -- James Page <email address hidden> Fri, 15 Mar 2013 09:37:28 +0000

Changed in quantum (Ubuntu Raring):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers